building .net for 4.5 framework using 4.8 failed in docker

  .net-4.5, asp.net, docker

i am trying to build the .net project.

when i use FROM mcr.microsoft.com/dotnet/sdk:5.0 AS build

i got this error enter image description here

so, the project is developed by 4.5 Framework. I can not upgrade (Businnes matter).

so i google it and found this

so i change the syntax into FROM mcr.microsoft.com/dotnet/framework/sdk:4.8 AS build

now i got this enter image description here

i am new to docker. not know what the meaning of the error message.

Source: Docker Questions

LEAVE A COMMENT